<meta charset="utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<div>
<h1>Using libguestfs from Python</h1>

<p id="steps">
Create handle &mdash;
<b>Inspect</b> &mdash;
Modify &mdash;
Shutdown</p>

<pre class="code">
roots = <b>g.inspect_os</b> ()
if len (roots) == 0:
    raise (Error ("no operating systems found"))
if len (roots) > 1:
    raise (Error ("multi-boot operating system"))
root = roots[0]

type = <b>g.inspect_get_type</b> (root)
distro = <b>g.inspect_get_distro</b> (root)
major = <b>g.inspect_get_major_version</b> (root)
minor = <b>g.inspect_get_minor_version</b> (root)

mps = <b>g.inspect_get_mountpoints</b> (root)
</pre>

</div>
